<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  
  <modelVersion>4.0.0</modelVersion>
  
  <groupId>tk.eigh</groupId>
  <artifactId>bot-parent</artifactId>
  <version>0.0.2-SNAPSHOT</version>
  <packaging>pom</packaging>
  <name>8K Parent Bot</name>
  
  <organization>
    <name>Eightk</name>
    <url>https://eigh.tk</url>
  </organization>
  
  <licenses>
    <license>
      <name>Apache License, Version 2.0</name>
      <url>https://www.apache.org/licenses/LICENSE-2.0.txt</url>
      <distribution>repo</distribution>
      <comments>(C) 8K</comments>
    </license>
  </licenses>
  
  <developers>
    <developer>
      <id>nt</id>
      <name>Ante Pavic</name>
      <email>dev@eigh.tk</email>
      <organization>Eightk</organization>
      <roles>
        <role>architect</role>
        <role>developer</role>
      </roles>
      <timezone>Europe/Vaduz</timezone>
      <properties>
        <picUrl>https://secure.gravatar.com/avatar/66550065e858794de97a4ccd70ee0095?s=180&amp;d=identicon</picUrl>
      </properties>
    </developer>
  </developers>
    
  <scm>
    <developerConnection>scm:git:ssh://git@gitlab.com/eightk/bot/parent.git</developerConnection>
    <url>https://gitlab.com/eightk/bot/parent.git</url>
    <tag>v0.1</tag>
  </scm>
  
  <distributionManagement>
    <repository>
      <id>bintray-8k-maven</id>
      <name>8K-maven</name>
      <url>https://api.bintray.com/maven/8k/maven/bot/;publish=1</url>
    </repository>
  </distributionManagement>
  
  <properties>
    <!-- uncomment if you wish to set your project here project- gcloud is used otherwise -->
    <!-- <app.deploy.project>zeta-ascent-208010</app.deploy.project> -->
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
    <maven.compiler.showDeprecation>true</maven.compiler.showDeprecation>
    <appengine.version>1.9.64</appengine.version>
    <archiveClasses>true</archiveClasses>
    <!-- Own properties -->
    <hk2.version>2.5.0-b61</hk2.version>
  </properties>

  
  <prerequisites>
    <maven>3.5</maven>
  </prerequisites>
  
  
  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>org.codehaus.mojo</groupId>
          <artifactId>versions-maven-plugin</artifactId>
          <version>2.5</version>
          <executions>
            <execution>
              <phase>compile</phase>
              <goals>
                <goal>display-dependency-updates</goal>
                <goal>display-plugin-updates</goal>
              </goals>
            </execution>
          </executions>
          <configuration>
            <excludes>
              <exclude>javax.servlet:javax.servlet-api</exclude>
              <exclude>com.google.guava:guava</exclude>
              <!-- avoid android version -->
            </excludes>
          </configuration>
        </plugin>
        <plugin>
          <artifactId>maven-war-plugin</artifactId>
          <version>3.1.0</version>
        </plugin>
        <plugin>
          <artifactId>maven-compiler-plugin</artifactId>
          <version>3.6.1</version>
        </plugin>
        <plugin>
          <artifactId>maven-clean-plugin</artifactId>
          <version>3.0.0</version>
        </plugin>
        <plugin>
          <artifactId>maven-install-plugin</artifactId>
          <version>2.5.2</version>
        </plugin>
        <plugin>
          <artifactId>maven-surefire-plugin</artifactId>
          <version>2.20</version>
        </plugin>
        <plugin>
          <artifactId>maven-site-plugin</artifactId>
          <version>3.7.1</version>
        </plugin>
        <plugin>
          <artifactId>maven-resources-plugin</artifactId>
          <version>3.1.0</version>
        </plugin>
        <plugin>
          <artifactId>maven-deploy-plugin</artifactId>
          <version>2.8.2</version>
        </plugin>
        <plugin>
          <artifactId>maven-enforcer-plugin</artifactId>
          <version>1.4.1</version>
          <executions>
            <execution>
              <id>enforce-maven</id>
              <goals>
                <goal>enforce</goal>
              </goals>
              <configuration>
                <rules>
                  <requireMavenVersion>
                    <version>3.5</version>
                  </requireMavenVersion>
                  <requirePluginVersions>
                    <message>Best Practice is to always define plugin versions!</message>
                    <banLatest>true</banLatest>
                    <banRelease>true</banRelease>
                    <phases>clean,deploy,verify,appengine:run,appengine:deploy,appengine:update,appengine:devappaserver,site</phases>
                  </requirePluginVersions>
                </rules>
              </configuration>
            </execution>
          </executions>
        </plugin>
      </plugins>
    </pluginManagement>
  </build>
  
</project>
